<?xml version="1.0" encoding="ISO-8859-1"?>
<document>

  <properties>
    <title>Protocols</title>
    <author email="michal.maczka@dimatics.com">Michal Maczka</author>
  </properties>

  <body>
    <section name="Supported protocols">
      <table>
        <tr>
          <th>Protocol name</th>
          <th>URL Prefix</th>
          <th>Username</th>
          <th>Directory</th>
          <th>Password</th>
          <th>Group</th>
          <th>Private Key</th>
          <th>Passphrase</th>
          <th>Port</th>
        </tr> 
        <tr>
          <td>
            <b>SCP</b>
            (Secure Copy)
          </td>
          <td>scp://</td>
          <td>Mandatory</td>
          <td>Mandatory</td>
          <td>Mandatory if private key unless private key is provided</td>
          <td>Optional</td>
          <td>Optional</td>
          <td>Optional</td>
          <td>Optional (default is 22)</td>        
        </tr> 
        <tr>
          <td>
            <b>SFTP</b>
            (Secure FTP)
          </td>
          <td>sftp://</td>
          <td>Mandatory</td>
          <td>Mandatory</td>
          <td>Mandatory unless private key is provided</td>
          <td>Optional</td>
          <td>Optional</td>
          <td>Optional</td>
          <td>Optional (default is 22)</td>        
        </tr>
         <tr>
          <td><b>FTP</b></td>
          <td>ftp://</td>
          <td>Mandatory</td>
          <td>Mandatory</td>
          <td>Mandatory</td>
          <td>Not supported</td>
          <td>Not supported</td>
          <td>Not supported</td>
          <td>Optional (default is 21)</td>        
        </tr>            
        <tr>
          <td><b>FILE</b></td>
          <td>file://</td>
          <td>Not supported</td>
          <td>Mandatory</td>
          <td>Not supported</td>
          <td>Not supported</td>
          <td>Not supported</td>
          <td>Not supported</td>
          <td>Not supported</td>        
        </tr>            
      </table>
    </section>
  </body>
</document>
